#!/bin/sh

#
# Load the keymaps *as soon as possible*
#

command -v loadkeys >/dev/null 2>&1 || exit 0

CONFDIR=/etc/console
CONFFILEROOT=boottime
EXT=kmap

#KERNEL_KEYMAP=/var/state/misc/kernel.${EXT}

case "$1" in
    start | restart | force-reload | reload)

	# load new map
	#if [ -r ${CONFDIR}/${CONFFILEROOT}.${EXT}.gz ] ; then
	#    loadkeys ${CONFDIR}/${CONFFILEROOT}.${EXT}.gz
	#fi
	loadkeys /usr/share/keymaps/i386/qwertz/de-latin1-nodeadkeys.kmap.gz
	;;

    stop)
# 	# ensure the saved kernel keymap is removed before halt/reboot
# 	rm -f ${KERNEL_KEYMAP}
	;;

    *)
	echo "Usage: $0 {start|stop|restart|reload|force-reload}"
	exit 1
	;;
esac
